Bug 216060 - Sign installer for Mac with Oracle developer certificate
Sign installer for Mac with Oracle developer certificate
Status: RESOLVED FIXED
Product: installer
Classification: Unclassified
Component: Mac Native
7.2
PC Mac OS X
: P1 (vote)
: 7.2.1
Assigned To: Jiri Rechtacek
issues@installer
72patch2-fixed
: PLAN, RELNOTE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 12:44 UTC by Tomas Danek
Modified: 2012-10-08 11:59 UTC (History)
7 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Danek 2012-07-27 12:44:00 UTC
Since OS X 10.8 (Mountain Lion) by default forbids installing untrusted apps ("Gatekeeper" feature).

Workaround for now is to enable it in System preferences | Security & Privacy (allow application downloaded from anywhere).
Comment 1 Marian Mirilovic 2012-07-27 13:01:54 UTC
Jirko, what do you think ... can we do that for 7.2.1 ?
Comment 2 Jiri Rechtacek 2012-07-27 13:09:06 UTC
(In reply to comment #1)
> Jirko, what do you think ... can we do that for 7.2.1 ?

I don't know yet. Depends on how complicated is get the Mac certificate.
Comment 3 Tomas Danek 2012-07-27 13:32:53 UTC
I think Tomas H. also tried to request one, am I right?

(In reply to comment #2)
> (In reply to comment #1)
> > Jirko, what do you think ... can we do that for 7.2.1 ?
> 
> I don't know yet. Depends on how complicated is get the Mac certificate.
Comment 4 Jiri Rechtacek 2012-08-10 09:59:17 UTC
(In reply to comment #0)
> Since OS X 10.8 (Mountain Lion) by default forbids installing untrusted apps
> ("Gatekeeper" feature).
> 
> Workaround for now is to enable it in System preferences | Security & Privacy
> (allow application downloaded from anywhere).

Until resolved this issue would be nice to describe this problem in the release notes.
I figured out an another workaround this. If users invoke Open action from a pop-up menu over NetBeans 7.2.mpkg file then the gatekeeper warns the user but allow to open the installer anyway, so not needed to change the System preferences.

Ken, Alyona, could you take care about it? Thank you
Comment 5 AlyonaStashkova 2012-08-10 10:27:44 UTC
Added to the Installer section of the Release Notes (http://netbeans.org/community/releases/72/relnotes.html#known_issues-installer)
Comment 6 Quality Engineering 2012-08-11 02:38:03 UTC
Integrated into 'main-golden', will be available in build *201208110001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/87d93a9cff28
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #216060: Sign installer for Mac with Oracle developer certificate
Comment 7 Jiri Rechtacek 2012-09-06 09:42:32 UTC
A provisional solution integrated in trunk and release72 -http://hg.netbeans.org/releases/rev/354846f3bce8

This solution is going to applied for:
* JDK 7u7/NB7.2 bundles
* NB 7.3 Beta
* NB 7.2.1

For further releases will be use updated build process - tracking as issue 217940.
Comment 8 Quality Engineering 2012-09-06 16:18:03 UTC
Integrated into 'releases', will be available in build *201209061210* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/354846f3bce8
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #216060: Sign installer for Mac with Oracle developer certificate
Comment 9 Petr Jiricka 2012-09-22 12:04:54 UTC
Just a note - the latest update of OS X Lion (10.7.5) also contains the "Gatekeeper" feature that by default forbids installing untrusted apps. So this improvement will be also useful for Lion users.
Comment 10 Jiri Rechtacek 2012-09-22 12:40:19 UTC
(In reply to comment #9)
> Just a note - the latest update of OS X Lion (10.7.5) also contains the
> "Gatekeeper" feature that by default forbids installing untrusted apps. So this
> improvement will be also useful for Lion users.

Thanks for the note, the bits for 7.3 beta have been signed so neither Mountain Lion nor Lion users should not be affected.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo